<template>
  <div class="text-h5 q-mb-md nunito">Serial</div>
  <div class="row items-center justify-start">
    <port-manager-vue class="col-6" />
    <q-btn
      icon="download"
      :disable="!connected"
      push
      round
      color="white"
      text-color="primary"
      @click="firstTimeSetup"
    >
    <q-tooltip class="text-body2" anchor="center right" self="center left">Download all nodes from the board</q-tooltip>
    </q-btn>
  </div>
</template>

<script lang="ts">
import { defineComponent, computed } from 'vue';
import { useStore } from 'src/store';
import PortManagerVue from 'components/communication/PortManager.vue';

import { firstTimeSetup } from 'components/communication/scripts';

export default defineComponent({
  components: {
    PortManagerVue,
  },
  setup() {
    const $store = useStore();
    const connected = computed(() => $store.state.status.connected);
    return {
      connected,
      firstTimeSetup,
    };
  },
});
</script>
